#ifndef CORE_TESTS_HPP
#define CORE_TESTS_HPP

#include "Test.hpp"

namespace Core {
    void testArrayList();
    void testArrayString();
    void testArray();
    void testBitArray();
    void testBox();
    void testBuffer();
    void testBufferedValue();
    void testClock();
    void testColor();
    void testComponents();
    void testFileReader();
    void testFrustum();
    void testHashMap();
    void testLinkedList();
    void testList();
    void testMath();
    void testMatrixStack();
    void testMatrix();
    void testPlane();
    void testProbingHashMap();
    void testQuaternion();
    void testRandom();
    void testRingBuffer();
    void testStack();
    void testThread();
    void testUniquePointer();
    void testUtility();
    void testVector();
    void testView();
}

#endif